package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;

/**
 *
 * @author fpalma
 */
public class V9_6_To_V9_7 extends AbstractUpdate
{
	
	public V9_6_To_V9_7()
	{
		super(9.6,9.7,"Relacao postoDeTrabalho <-> medida");
	}
	
	public void doUpdate() throws Exception
	{
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"drop table hs_posto_risco;" +
					"create table hs_posto_medida(" +
					"	posto_id int4 REFERENCES hs_posto(id)," +
					"	medida_id int4 REFERENCES hs_medida(id)," +
					"	CONSTRAINT hs_posto_medida_pkey PRIMARY KEY(posto_id,medida_id)" +
					");" +
					"create table hs_relatorio_posto_medida(" +
					"	posto_id int4 REFERENCES hs_relatorio_posto(id)," +
					"	medida_id int4 REFERENCES hs_relatorio_medida(id)," +
					"	CONSTRAINT hs_relatorio_posto_medida_pkey PRIMARY KEY(posto_id,medida_id)" +
					");"
		);
		getExecuter().executeQuery( update );
	}
	
	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
